%define _disable_ld_no_undefined 1

Name:		cmus
Version:	2.5.0
Release:	%mkrel 10
Summary:	A powerful ncurses-based music player
URL:		http://cmus.github.io/
License:	GPLv2
Group:		Sound/Players
Source:		https://sourceforge.net/projects/cmus/files/%{name}-v%{version}.tar.bz2
Patch0:		cmus-v2.4.3-ffmpeg2.0.patch
Patch1:		cmus-2.5.0-cdio-make-it-work-with-libcdio-0.90.patch
Patch2:		cmus-v2.5.0-modplug-includes-fix.patch
Patch3:		cmus-2.5.0-ffmpeg2.4.patch
BuildRequires:	libalsa-devel
BuildRequires:	libao-devel
BuildRequires:	libcddb-devel
BuildRequires:	libcue-devel
BuildRequires:	libdiscid-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libflac-devel
BuildRequires:	libmad-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libwavpack-devel
BuildRequires:	ncursesw-devel
BuildRequires:	pkgconfig(libcdio_cdda)

%if "%{?distro_section}" == "tainted"
BuildRequires:	libfaad2-devel
%endif

Requires:	ncurses

%description
cmus is a powerful music player with an ncurses UI. It supports many
different file types like FLAC, Ogg/Vorbis, etc. and is able to handle play
lists.
%if "%{?distro_section}" == "tainted"
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%setup -q -n %{name}-v%{version}
%apply_patches

%build
%setup_compile_flags
./configure prefix=%{_prefix} libdir=%{_libdir} DEBUG=0
%make

%install
%makeinstall_std

%files
%doc README
%{_bindir}/*
%{_libdir}/cmus/
%{_datadir}/cmus/
%{_mandir}/man1/*
%{_mandir}/man7/*


%changelog
* Fri Nov 14 2014 akien <akien> 2.5.0-10.mga5
+ Revision: 797220
- Improve ffmpeg 2.4 patch

* Fri Nov 14 2014 akien <akien> 2.5.0-9.mga5
+ Revision: 797208
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-8.mga5.tainted
+ Revision: 741491
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.5.0-7.mga5.tainted
+ Revision: 693650
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-6.mga5
+ Revision: 678453
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 wally <wally> 2.5.0-5.mga5.tainted
+ Revision: 611357
- add patch to fix build with libmodplug
- add some missing BRs
- create tainted build (because of faad2)
- fix url

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.5.0-4.mga5
+ Revision: 592237
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 2.5.0-3.mga4
+ Revision: 533583
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 2.5.0-2.mga4
+ Revision: 473970
- fix build with latest cdio
- rebuild for new libcdio

* Thu Aug 22 2013 shlomif <shlomif> 2.5.0-1.mga4
+ Revision: 469720
- New version 2.5.0

* Mon Jul 15 2013 fwang <fwang> 2.4.3-4.mga4
+ Revision: 454584
- fix build with ffmpeg 2.0

* Fri Jan 11 2013 umeabot <umeabot> 2.4.3-4.mga3
+ Revision: 347952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 2.4.3-3.mga3
+ Revision: 323090
- Corrected group to new policy
- Corrected license

* Tue May 29 2012 fwang <fwang> 2.4.3-2.mga3
+ Revision: 249082
- rebuild for new ffmpeg

* Thu Dec 15 2011 shlomif <shlomif> 2.4.3-1.mga2
+ Revision: 182288
- imported package cmus

